Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-13.txt

From: [email-masked]
Date: Mon, 25 Oct 2021 06:58:48 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Updates
        Authors         : Hendrik Brockhaus
                          David von Oheimb
                          John Gray
	Filename        : draft-ietf-lamps-cmp-updates-13.txt
	Pages           : 69
	Date            : 2021-10-25

Abstract:
   This document contains a set of updates to the syntax and transfer of
   Certificate Management Protocol (CMP) version 2.  This document
   updates RFC 4210, RFC 5912, and RFC 6712.

   The aspects of CMP updated in this document are using EnvelopedData
   instead of EncryptedValue, clarifying the handling of p10cr messages,
   improving the crypto agility, as well as adding new general message
   types, extended key usages to identify certificates for use with CMP,
   and '.well-known' HTTP path segments.

   To properly differentiate the support of EnvelopedData instead of
   EncryptedValue, the CMP version 3 is introduced in case a transaction
   is supposed to use EnvelopedData.

   CMP version 3 is introduced to enable signaling support of
   EnvelopedData instead of EncryptedValue and signaling the use of an
   explicit hash AlgorithmIdentifier in certConf messages, as far as
   needed.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-updates-13.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-13

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 25 Oct 2021 14:11:01 +0000

Dear all

Some minutes ago I submitted an update of the Lightweight CMP Profile draft.

The update addresses the following topics:
   *  Added John Gray to the list of authors due to fruitful discussion
      and important proposals
   *  Fixed errata no. 2615, 2616, 3949, 4078, and 5201 on RFC 4210
   *  Added reference on RFC 8933 regarding CMS signedAttrs to
      Section 2.7
   *  Updated Section 2.9 and the ASN.1 modules moving the position of
      the hashAlg field (see thread "[CMP Updates] position of hashAlg
      in certStatus")
   *  Changed "rootCaCert" from generalInfo to genm body and generalized
      to "oldTrustAnchor", renaming "rootCaKeyUpdate" to
      "trustAnchorUpdate" in Sections 2.14, A.1, and A.2, removing
      former Section 2.4
   *  Added genm use case "CRL update retrieval" in Section 2.16, A.1,
      and A.2. (see thread "[CMP Updates] Requesting a current CRL")
   *  Updated Section 2.18 and 2.17 to support polling for all kinds of
      CMP request messages initiated by an error message with status
      "waiting" as initially discussed at IETF 111
   *  Updated Sections 2.19 and 2.20 regarding version handling
   *  Added further OIDs and a TBD regarding reordering of the OIDs
   *  Added Sections 2.21 to 2.23 with new security considerations and
      updated Section 5 accordingly
   *  Added a ToDo regarding OID registration, renaming, and re-ordering
   *  Added Section 3.1 updating the introduction of RFC 6712
   *  Fixed some nits in the ASN.1 modules (see thread "draft-ietf-
      lamps-cmp-updates-12: Comments on A.1. 1988 ASN.1 Module" and
      "draft-ietf-lamps-cmp-updates-12: Comments on A.2. 2002 ASN.1
      Module")
   *  Replaced the term "transport" by "transfer" where appropriate to
      prevent confusion
   *  Minor editorial changes

As always, any feedback and comments are welcome.

Hendrik

> -----Ursprüngliche Nachricht-----
> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Montag, 25. Oktober 2021 15:59
> An: [email-masked]
> Cc: [email-masked]
> Betreff: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-13.txt
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrac
> ker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8
> dc68c7c21c44bea867b08d997bf972d%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637707671407698970%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000
> &amp;sdata=CaSBjPKx8ySjw9mE8ZwoW8ukxsTsICXLwjnJ4pwwazE%3D&amp;re
> served=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 13.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8dc68
> c7c21c44bea867b08d997bf972d%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637707671407698970%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&am
> p;sdata=Y6hYGwxro2r1aNlIBgdnxVSf42z1p28nNssTGRGmGXk%3D&amp;reserve
> d=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 13&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8dc68c7c2
> 1c44bea867b08d997bf972d%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637707671407708966%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=tMcV%2B265AEOnY%2FkSvZK1M8wcDIKFrZ13ThswJOcDFXg%3D&amp;rese
> rved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org
> %2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8dc
> 68c7c21c44bea867b08d997bf972d%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637707671407708966%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=tQwshpYprEKflN%2FZeKOtAAVeXicDNQMlXG3qKfEfvc0%3D&amp;res
> erved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7C8dc68c7c21c44bea867b08d997bf972d%7C38ae3bcd957
> 94fd4addab42e1495d55a%7C1%7C0%7C637707671407708966%7CUnknown%7
> CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJ
> XVCI6Mn0%3D%7C1000&amp;sdata=Jre2QvNHro3W1dBnyI2RVN5KnL4zY9TIq2
> 7K2tRuccc%3D&amp;reserved=0